﻿from matplotlib import pyplot as plt # module permettant de tracer des graphiques

t = [1*24*3600,78*24*3600,155*24*3600,232*24*3600,309*24*3600,386*24*3600,463*24*3600,540*24*3600,617*24*3600] # Jours exprimés en s
x = [-1.60,-2.40,-2.30,-1.29,0.31,1.70,2.04,1.17,-0.32] # abscisses en centaine de millions de km
y = [1.87,0.67,-0.78,-1.90,-2.13,-1.17,0.51,1.90,2.35] # ordonnées en centaine de millions de km

# Figure représentant la trajectoire de la Lune y = f(x)
plt.figure('Trajectoire de Mars')
plt.xlabel('x (en centaine de millions de km)')
plt.ylabel('y (en centaine de millions de km)')
plt.plot(x,y,'ro',ms=4)
plt.axis('equal')
plt.grid()

# Tracé des vecteurs vitesses, valeurs exprimées en km/s, échelle : 1 unité vaut 0.04 km/s
k = 0.04
for i in range (1,8) :
    plt.arrow(x[i], y[i], k*100000000*(x[i+1]-x[i-1])/(t[i+1]-t[i-1]),
    k*100000000*(y[i+1]-y[i-1])/(t[i+1]-t[i-1]),width=0.05,
    length_includes_head='true', color='g',)
plt.show()